API ReferenceAdmin Endpoints
Admin/ Notifications
Admin push-notification endpoints.
Authorization
admin-access-token AuthorizationBearer <token>
Admin access token. In Apidog use token value {{admin_access_token}}.
In: header
Header Parameters
env?string
Environment override (use "test" to bypass payload encryption)
Default
"test"timezone?string
Client timezone
Default
"UTC"device?string
Client device type/details
Default
"ios"Accept-Language?string
Client language/locale preference
Default
"en"Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/admin/notifications/v1/send" \ -H "env: test" \ -H "timezone: UTC" \ -H "device: ios" \ -H "Accept-Language: en" \ -H "Authorization: Bearer {{admin_access_token}}" \ -H "Content-Type: application/json" \ -d '{ "notification": { "title": "string", "body": "string" } }'{ "code": "string", "message": "string"}